class ExtensionsUtil {
    static extensions = {
        javaScript: {
            js: '.js',
            mjs: '.mjs',
        },
        typeDefinition: {
            dts: '.d.ts',
            dmts: '.d.mts',
        },
    };
    static matchJs = (filePath) => {
        const { js, mjs } = this.extensions.javaScript;
        return filePath.endsWith(js) || filePath.endsWith(mjs);
    };
    static matchDts = (filePath) => {
        const { dts, dmts } = this.extensions.typeDefinition;
        return filePath.endsWith(dts) || filePath.endsWith(dmts);
    };
    static matchEither = (filePath) => {
        return this.matchJs(filePath) || this.matchDts(filePath);
    };
}
const separator = '/';
export { ExtensionsUtil, separator };
//# sourceMappingURL=const.js.map