"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.separator = exports.ExtensionsUtil = void 0;
var ExtensionsUtil = /** @class */ (function () {
    function ExtensionsUtil() {
    }
    var _a;
    _a = ExtensionsUtil;
    ExtensionsUtil.extensions = {
        javaScript: {
            js: '.js',
            mjs: '.mjs',
        },
        typeDefinition: {
            dts: '.d.ts',
            dmts: '.d.mts',
        },
    };
    ExtensionsUtil.matchJs = function (filePath) {
        var _b = _a.extensions.javaScript, js = _b.js, mjs = _b.mjs;
        return filePath.endsWith(js) || filePath.endsWith(mjs);
    };
    ExtensionsUtil.matchDts = function (filePath) {
        var _b = _a.extensions.typeDefinition, dts = _b.dts, dmts = _b.dmts;
        return filePath.endsWith(dts) || filePath.endsWith(dmts);
    };
    ExtensionsUtil.matchEither = function (filePath) {
        return _a.matchJs(filePath) || _a.matchDts(filePath);
    };
    return ExtensionsUtil;
}());
exports.ExtensionsUtil = ExtensionsUtil;
var separator = '/';
exports.separator = separator;
//# sourceMappingURL=const.js.map